import { BroadcastChannelMessage } from '../types/services';
declare class BroadcastChannelListener {
    private channel;
    constructor(onMessage?: (msg: MessageEvent<BroadcastChannelMessage>) => void);
    close(): void;
}
export default BroadcastChannelListener;
